// infoarena.ro/problema/inv
#include <fstream>
#include <algorithm>
#include <vector>
#define NMAX 100001
#define MOD 9917
using namespace std;
//          val   poz
vector<pair<int, int>> V;
int aib[NMAX], N;
long long sol;

void Update(int x, int v)
{
	for (int i = x; i <= N; i += i & -i)
		aib[i] += v;
}

int Query(int j)
{
	int S = 0;
	for (int i = j; i > 0; i -= i & -i)
		S += aib[i];
	return S;
}

int main()
{
	ifstream fin("inv.in");
	ofstream fout("inv.out");
	fin >> N;
	int x;
	for (int i = 1; i <= N; i++)
	{
		fin >> x;
		V.emplace_back(x, i);
	}

	// sortam descrescator dupa valori
	sort(V.begin(),V.end(), greater<pair<int, int>>());

	// la solutie se adauga nr de elem mai mari decat cel curent aflate in stanga sa
	for (int i = 0; i < N; i++)
	{
		int j = V[i].second;  // poz in sirul initial a lui valorii V[i].first
		sol += 1LL * Query(j);
		if (sol > MOD)
			sol -= MOD;
		Update(j, 1);
	}

	fout <<  sol % MOD;
	return 0;
}
