// infoarena.ro/problema/inv
#include <fstream>
#include <algorithm>
#include <vector>
using namespace std;

const int NMAX = 100001, MOD = 9917;

vector<pair<int, int>> v;   // pair<valoare, pozititia_inainte_de_sortare>

int A[NMAX], N;             // Numarul de elemente introduse pana in acel moment si
                            // care sunt situate in sirul S pe pozitii între [x - 2^k + 1, .. ,x]
long long sol;

void Update(int x, int v)
{
	for (int i = x; i <= N; i += i  & -i) 
		A[i] += v;
}

int Query(int x)
{
	int S = 0;
	for (int i = x; i >= 1; i -= i & -i) 
		S += A[i];
	return S;
}

int main()
{
	ifstream fin("inv.in");
	ofstream fout("inv.out");
	fin >> N;
	int x;
	for (int i = 1; i <= N; i++)
	{
		fin >> x;
		v.emplace_back(x, i);
	}
	
	sort(v.begin(), v.end());
	
	sol = 1LL * N * (N - 1) / 2;
	// din nr total de inversiuni, se scad nr de inversiuni ce nu s-au format,
	// La fiecare pas, scadem nr de elem mai mici decat cel curent aflate in stanga sa
	for (int i = 0; i < N; i++)
	{
		x = v[i].second;   // poz lui v[i].first in sirul initial
		sol -= 1LL * Query(x);
		Update(x, 1);
	}
	
	fout << sol % MOD;
	return 0;
}
